> For the complete documentation index, see [llms.txt](https://docs.aevo.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.aevo.xyz/api-reference/urls/private-api/getmmp.md).

# GET /mmp

Get market maker protection (MMP) setting.

`GET https://api.aevo.xyz/mmp`

> **Authentication required.** Include your `AEVO-KEY` and `AEVO-SECRET` headers. See [Authentication](/api-reference/urls/authentication.md).

## Example Request

```bash
curl --request GET \
     --url https://api.aevo.xyz/mmp \
     --header 'accept: application/json' \
     --header 'AEVO-KEY: <your-api-key>' \
     --header 'AEVO-SECRET: <your-api-secret>'
```

## Responses

**`200`** — Market maker protection (MMP) setting.

| Field             | Type    | Required | Description                                                                                                       |
| ----------------- | ------- | -------- | ----------------------------------------------------------------------------------------------------------------- |
| `enabled`         | boolean | Yes      | Enabled if true. Example: `true` Example: `True`                                                                  |
| `triggered`       | boolean | Yes      | Account under MMP if true Example: `true` Example: `True`                                                         |
| `interval`        | string  | No       | Interval in seconds. A setting for market maker protection (MMP). If set to 0, MMP is disabled. Example: `30`     |
| `frozen`          | string  | No       | Duration in seconds during which the account will be frozen. If set to 0, manual reset is required. Example: `30` |
| `frozen_end_time` | string  | No       | End time in nanoseconds where the account will be unfrozen. Example: `1683697928273737203`                        |
| `amount_limit`    | string  | No       | Amount limit setting for market maker protection (MMP). In 6 decimals fixed number. Example: `1000000`            |
| `delta_limit`     | string  | No       | Delta limit setting for market maker protection (MMP). In unsigned float. Example: `0.1`                          |
| `amount_change`   | string  | No       | Change in filled contract amounts within the interval. Example: `0.1`                                             |
| `delta_change`    | string  | No       | Change in delta within the interval. Example: `0.1`                                                               |
| `asset`           | string  | Yes      | Name of underlying asset. Example: `ETH`                                                                          |

**`401`** — Unauthorized.

| Field   | Type   | Required | Description                            |
| ------- | ------ | -------- | -------------------------------------- |
| `error` | string | Yes      | Error message. Example: `UNAUTHORIZED` |

**`429`** — Rate limit exceeded.

| Field   | Type   | Required | Description                                   |
| ------- | ------ | -------- | --------------------------------------------- |
| `error` | string | Yes      | Error message. Example: `RATE_LIMIT_EXCEEDED` |

**`500`** — Internal server error.

| Field   | Type   | Required | Description                              |
| ------- | ------ | -------- | ---------------------------------------- |
| `error` | string | Yes      | Error message. Example: `INTERNAL_ERROR` |
